Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1202775 - GtkAda3 build failure
Summary: GtkAda3 build failure
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: GtkAda3
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Björn Persson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-17 12:30 UTC by Than Ngo
Modified: 2015-03-22 23:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-22 23:38:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Than Ngo 2015-03-17 12:30:41 UTC
we need to bump the release and build this package in f22/f23 so that koji-shadow can rebuild it against new gcc

It doesn't build in f23, For more infos please take a look at 

http://koji.fedoraproject.org/koji/taskinfo?taskID=9245992

Comment 1 Björn Persson 2015-03-19 10:38:41 UTC
It looks like the addition of gtk-autocleanups.h caused some kind of conflict between the GtkGLArea in GTKada and the GtkGLArea that was recently introduced in GTK+. Maybe.

This may take some time.

Comment 2 Björn Persson 2015-03-22 23:38:41 UTC
I changed the pseudo-namespace of some identifiers in some C files to work around the name collisions.


Note You need to log in before you can comment on or make changes to this bug.